Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 3.4.0SynchronousAuth Required

CreateSchedulerJobGroup

CreateSchedulerJobGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The name of the job group to be scheduled.

    • descriptionString

      Optional. The detailed description of the job group to be scheduled.

    • typeStringRequired

      The type of the jobs.

    • parametersMap

      Optional The parameters of the jobs.

    • resourceUuidString

      Optional. Specify a UUID for the job group.

    • tagUuidsList

      Optional. The UUIDs of the tags.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySchedulerJobInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the job group.

    • targetResourceUuidStringRequired

      目标资源UUID。

    • nameStringRequired

      The name of the job group.

    • descriptionStringRequired

      The detailed description of the job group.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The time when the job group was created.

    • lastOpDateTimestampRequired

      The time when the job group was last modified.

    • triggersUuidListRequired

      触发UUID。

Endpoint

POST/zstack/v1/scheduler/jobgroups

/zstack/v1/scheduler/jobgroups

Operation ID

CreateSchedulerJobGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/scheduler/jobgroups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","type":"<type>","parameters":{},"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "0cd85a37bb88346c8c2d122913d812df", "targetResourceUuid": "c458e0fb141932d0a87af999b0d0ab81", "name": "SchedulerJob", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history